@model IEnumerable<CAPAMovies.Models.UserMovie>
@using CAPAMovies.Models


@{
    ViewData["Title"] = "My Movies";
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>My Movies</title>
</head>
<body>
    <div>
        <h2>Your Movies</h2>

            <div style="display:block;">
                <div style="float: right; white-space: nowrap; padding-right: 20px">
                    <form asp-controller="Movies" asp-action="Index">
                        Search inventory for title:
                        <input type="text" value="@ViewBag.SearchString" name="SearchString" class="form-control" style="display: inline; white-space: nowrap">
                        <span>
                                <input type="submit" class="btn btn-primary btn-sm" value="Search" style="display: inline; white-space: nowrap" />
                                <a asp-action="Search" class="btn btn-success btn-sm">
                                    <span class="glyphicon glyphicon-film"></span> Add
                                </a>
                        </span>
                        <span class="btn-group">
                            <a href="#" id="list" class="btn btn-default btn-sm">
                                <span class="glyphicon glyphicon-th-list"></span> List
                            </a>
                            <a href="#" id="grid" class="btn btn-default btn-sm">
                                <span class="glyphicon glyphicon-th"></span> Grid
                            </a>
                        </span>
                    </form>
                </div><br/><br/>
                <div href="#" id="ListViewContainer">
                    <table class="table table-sm table-striped table-bordered" border="1" ; width="100%">
                        <thead>
                            <tr style="font-weight: bold">
                                <th style="text-align: center">
                                    <a style="color:black" asp-action="Index" asp-route-sortOrder="@ViewData["TitleSort"]">@Html.DisplayNameFor(model => model.TitleSort)</a>
                                </th>
                                <th style="text-align: center">
                                    <a style="color:black" asp-action="Index" asp-route-sortOrder="@ViewData["FormatSort"]">@Html.DisplayNameFor(model => model.Format)</a>
                                </th>
                                <th style="text-align: center;white-space:nowrap">
                                    <a style="color:black" asp-action="Index" asp-route-sortOrder="@ViewData["DateSort"]">@Html.DisplayNameFor(model => model.DateAdded)</a>
                                </th>
                                <th style="text-align: center">
                                    <a style="color:black" asp-action="Index" asp-route-sortOrder="@ViewData["StarSort"]">@Html.DisplayNameFor(model => model.StarRating)</a>
                                </th>
                                <th style="text-align: center">
                                    <a style="color:black" asp-action="Index" asp-route-sortOrder="@ViewData["LocationSort"]">@Html.DisplayNameFor(model => model.Location)</a>
                                </th>
                                <th style="text-align: center">
                                    <a style="color:black" asp-action="Index" asp-route-sortOrder="@ViewData["CustomSort"]">@Html.DisplayNameFor(model => model.Custom)</a>
                                </th>
                                <td style="color:black;text-align: center">Options</td>
                            </tr>
                        </thead>

                        <tbody>
                            @foreach (UserMovie movie in Model)
                            {

                                <tr>
                                    <td style="max-width:200px"><div style="white-space:nowrap;overflow:hidden;text-overflow:ellipsis">@movie.TitleSort</div></td>
                                    @foreach (var f in @ViewBag.Formats)
                                    {
                                        @if (f.ID == movie.FormatID)
                                        {
                                            <td style="text-align:right; white-space:nowrap">@f.FormatName</td>
                                            break;
                                        }
                                    }
                                    <td style="text-align: right; white-space:nowrap">@movie.DateAdded.ToString("d MMMM yyyy")</td>
                                    @{
                                        <td style="text-align: center">

                                            @if (movie.StarRating != null)
                                            {
                                                @if (movie.StarRating == 0 || movie.StarRating == null)
                                                {
                                                    <text>Not Rated</text>
                                                }
                                                else
                                                {
                                                    var path = @"images/" + movie.StarRating + "star.png";
                                                    <img src="@path" alt="Stars" width="100px" />
                                                }
                                            }
                                        </td>
                                    }
                                    @if (movie.LoanedTo != null)
                                    {
                                        <td class="text-danger">Loaned to: @movie.LoanedTo</td>
                                    }
                                    else
                                    {
                                        <td>@movie.Location</td>
                                    }
                                    <td>@movie.Custom</td>
                                    <td style="white-space:nowrap">
                                        <a asp-action="Details" class="btn btn-sm btn-primary" asp-route-movieID="@movie.MovieID">
                                            Details
                                        </a>
                                        <a asp-action="Edit" class="btn btn-sm btn-success" asp-route-movieID="@movie.MovieID" asp-route-formatID="@movie.FormatID">
                                            Edit
                                        </a>
                                        <a asp-action="Delete" class="btn btn-sm btn-danger" asp-route-UserID="@movie.UserID" asp-route-MovieID="@movie.MovieID" asp-route-FormatID="@movie.FormatID">
                                            <span class="glyphicon glyphicon-trash"></span>
                                        </a>
                                    </td>
                                </tr>
                                        }
                        </tbody>
                    </table>
                </div>
                <div href="#" id="GridViewContainer" style="display:none">

                    @foreach (UserMovie movie in Model)
                    {
                        <a asp-action="Details" asp-route-movieID="@movie.MovieID">
                            <div class="Griditem">
                                <div class="MovieDefault">
                                    @foreach (var f in @ViewBag.movies)
                                    {
                                        @if (movie.MovieID == f.ID)
                                        {
                                            <img class="MoviePoster" src="@f.PicLink" />
                                        }
                                    }
                                </div>
                                <div class="starswrapper">
                                    @if (movie.StarRating != null)
                                    {
                                        @if (movie.StarRating == 0 || movie.StarRating == null)
                                        {
                                            <text>Not Rated</text>
                                        }
                                        else
                                        {
                                            var path = @"images/" + movie.StarRating + "star.png";
                                            <img src="@path" alt="Stars" width="100px" />
                                        }
                                    }
                                </div>

                            </div>
                        </a>
                    }
                </div>
            </div>
        </div>
    </body>
</html>
